> For the complete documentation index, see [llms.txt](https://docs.spectralink.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spectralink.net/amie-essentials/release-notes/sam-1-15.md).

# SAM 1.15

SAM Version: 1.15.0.xxx.1454

For use with Versity versions:

* Versity 92 Series R1.9 using Android 10
* Versity 95/96 Series R2.9 using Android 10
* Versity 95/96 Series R3.5 using Android 13
* Versity 97 Series R13.6 using Android 13

## Upgrading to SAM 1.15

### Upgrade requirements

{% hint style="info" %}
**You must be running SAM 1.14 to upgrade to SAM 1.15**

If you are running a version of SAM prior to 1.14, refer to [Upgrading to SAM 1.14](/amie-essentials/release-notes/sam-1-14.md#upgrading-to-sam-1-14) for information on upgrading to SAM 1.14.
{% endhint %}

### Upgrade path for SAM 1.15

![](https://3032864282-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxfLF6IpyutR429bMnvvf%2Fuploads%2Fgit-blob-008261607e98270150421cebadab34423fe3e9b7%2Frn-image5.png?alt=media)

*(For example: to upgrade to SAM 1.15 from SAM 1.7, first upgrade to 1.9.0, then to 1.9.2, then to 1.10, then to 1.14, and finally to 1.15.)*

#### Upgrading to SAM 1.15 requires deploying a new VM

As part of security updates delivered in the application, SAM 1.15 runs on Ubuntu 26.04. To upgrade to SAM 1.15 you must deploy the new SAM image as a new VM, then import your SAM 1.14 configuration data into this system.

#### Procedure for upgrading to SAM 1.15

{% hint style="info" %}
**Use the same FQDN and IP address used in SAM 1.14**

When upgrading to SAM 1.15, use the same FQDN and IP address configured in SAM 1.14.

If for some reason you need to change the IP address during the migration, contact Spectralink Support for assistance, because your prior certificates will not work in the new system. (SAM-1419)
{% endhint %}

The following steps assume some familiarity with SAM provisioning. If you’re not familiar, most of these steps are explained in greater detail in the SAM Administration Guide, *Chapter 1: Install SAM Server*, Steps 1-3, although some procedures differ.

1. Navigate to the *About* page of your existing SAM 1.14 instance and click **Backup Now** (near the bottom of the page). Take note of your account number.
2. After waiting approximately 60 seconds and refreshing the page, you should see a new backup file appear. Click the Download icon to save it to your hard drive. Shut down the VM using the VMware console or CLI:

   ```bash
   sudo shutdown -h now
   ```
3. If you haven’t already done so, download the SAM 1.15 software image from the Spectralink support site. Unzip the image zip which contains OVF and VMDK files.
4. Deploy the new SAM OVF in the VMware console. In the console navigate to the new VM and authenticate using the default credentials of **sam** for username and **sam** for password. Navigate to the bin directory:

   ```bash
   cd bin
   ```
5. Run the network configuration script:

   ```bash
   sudo python network_init.py
   ```

   to set the static IP address, netmask, DNS, and Gateway. Use the same values that were used in your SAM 1.14 server.
6. Run the application configuration script:

   ```bash
   sudo python application_init.py
   ```

   to start the SAM application running. Set up your Active Directory as appropriate (see NOTE below).

{% hint style="info" %}
**Your Active Directory must use the same configuration used in your previous SAM instance**

In your new SAM instance, use the same type of Active Directory you used previously: whether you used non-encrypted AD, encrypted AD, non-encrypted multi-domain, or encrypted multi-domain, the new instance needs to be configured identically.
{% endhint %}

7. Open your web browser to the SAM login URI: **https\://\[IP address or server name]/sam/**.
8. Proceed through the dialogs to enter your account number and create an admin account. Navigate to the *About* page. Click **Browse File**, then select the backup file from your hard drive that you saved in Step 2. Wait for that file to upload.
9. If you plan to use SSH for configuration access, enable SSH using the steps [here](/amie-essentials/release-notes/sam-1-10.md#enabling-disabling-ssh).
10. In the console (or via SSH [if enabled](/amie-essentials/release-notes/sam-1-10.md#enabling-disabling-ssh)), run the import script:

    ```bash
    ./import.sh
    ```

    Remember that your SAM web browser login authentication credentials will be the same as the SAM 1.14 system’s credentials after import.
11. Refresh your SAM browser tab and then log back into the SAM web UI after the system restarts. (Allow 60 seconds for the system to restart before logging back in.)
12. Navigate to the *About* page again. Click **Browse File** and select the SAM 1.15 *artifacts.zip* file you previously downloaded from the Spectralink Support site.
13. After upload is complete, go back to the console (or via SSH [if enabled](/amie-essentials/release-notes/sam-1-10.md#enabling-disabling-ssh)) and run the upgrade command:

    ```bash
    ./upgrade.sh
    ```
14. After another restart your upgrade to SAM 1.15 will be complete. Your phones will communicate with the new instance without having to change certificates.

## Enhancements

SAM 1.15 provides security and performance improvements, along with the new features documented below.

### Better integration with AMIE Advanced

#### *Analytics* icon

![](https://3032864282-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxfLF6IpyutR429bMnvvf%2Fuploads%2Fgit-blob-99a5332e91961eb354a08ec0d2faf6f0a81b42b6%2Frn-image7.png?alt=media)

SAM’s left navigation panel includes a new *Analytics* icon that opens the AMIE Advanced Analytics portal in a new browser window. (SAM-1557)

#### Direct navigation to device analytics from the *Device List* page

Clicking on a device’s serial number on the *Device List* page opens that device’s analytics page in AMIE Advanced (for users with an AMIE Advanced license). (SAM-1558)

### New search criteria in Manage Groups

![](https://3032864282-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxfLF6IpyutR429bMnvvf%2Fuploads%2Fgit-blob-f4be136c51f4b7ec1f40a3b6c53a8b3571a18898%2Frn-image8.png?alt=media)

Administrators can now search existing groups by *Device Model*, and by *Device Info 1-4*. (SAM-1559)

### Bulk Delete Device Level Settings

Administrators can now clear device level settings for multiple devices in one procedure, rather than working with one device at a time. Once device level settings are cleared, setting values would be “inherited” from the group or enterprise level as applicable. (SAM-1555)

## Fixed Issues & Minor Enhancements

| **Key**  | **Summary**                                                                                                                                                                                |
| -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| SAM-1319 | A new dialog box helps administrators avoid making inadvertent changes at the *Enterprise* level.                                                                                          |
| SAM-1536 | Fixed an issue in the *Advanced Data Formatting* section of the **Barcode** app that made the *Remove all leading characters* and *Remove all trailing characters* actions non-functional. |
| SAM-1539 | New *Quick Settings Tiles* are available, for *Wallet* and *Song Search*. These will be supported in the upcoming Versity 13.7/3.6 release.                                                |
| SAM-1553 | *None* is now an available option in **Device Settings**’ *Default Notification Sound* and *Default Alarm Sound* menus.                                                                    |

## Known Issue

| **Key**  | **Summary**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| SAM-1591 | <p><em>Versity 96 Series only:</em> Configuring <strong>Device Settings</strong> at the <em>Device</em> level will cause <em>APN Configuration</em> values set at the <em>Enterprise</em> or <em>Group</em> level to not be applied, due to unexpected <em>APN Configuration</em> at the <em>Device</em> level.<br><em>Workaround:</em> When you’re finished making <strong>Device Settings</strong> configurations at the <em>Device</em> level, clear the <em>APN Configuration</em> at the <em>Device</em> level: go to <strong>Device Settings</strong> > <strong>Network</strong> > <strong>Access Point Names</strong> and click the trash icon to the right.</p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.spectralink.net/amie-essentials/release-notes/sam-1-15.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
